Package com.avaya.clientservices.call

## Enum MinuteMessage.MinuteStatus

- java.lang.Object
- - java.lang.Enum<MinuteMessage.MinuteStatus>
  - - com.avaya.clientservices.call.MinuteMessage.MinuteStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MinuteMessage.MinuteStatus>`
  Enclosing class:
    MinuteMessage

      public static enum MinuteMessage.MinuteStatus
      extends java.lang.Enum<MinuteMessage.MinuteStatus>

  States for a meeting minute message in a conference.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONFIRMED` | The minute has been successfully sent to the server and a response has been received.
    `DELETED` | Minute has been removed from the conference.
    `ERROR` | Server returned an error while adding the minute to the conference.
    `PENDING` | Response from server is not received yet.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MinuteMessage.MinuteStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MinuteMessage.MinuteStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING

          public static final MinuteMessage.MinuteStatus PENDING

      Response from server is not received yet.

    - #### CONFIRMED

          public static final MinuteMessage.MinuteStatus CONFIRMED

      The minute has been successfully sent to the server and a response has been received.

    - #### ERROR

          public static final MinuteMessage.MinuteStatus ERROR

      Server returned an error while adding the minute to the conference.

    - #### DELETED

          public static final MinuteMessage.MinuteStatus DELETED

      Minute has been removed from the conference.

  - ### Method Detail

    - #### values

          public static MinuteMessage.MinuteStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MinuteMessage.MinuteStatus c : MinuteMessage.MinuteStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MinuteMessage.MinuteStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null